## sight 19.0.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.1)

# Use new policy for 'install_name' and RPATH on macOS (use `cmake --help-policy CMP0068` for details)
cmake_policy(SET CMP0068 NEW)
# Use new policy for `FindOpenGL` to prefer GLVND by default when available on linux (use `cmake --help-policy CMP0072` for details).
cmake_policy(SET CMP0072 NEW)

# On Windows, if the user doesn't specify a value,
# 'CMAKE_BUILD_TYPE' is automatically initialized to 'Debug' after 'project()'.
# So we need to check this variable at this point.
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "Choose the type of build, options are: Debug, Release, RelWithDebInfo or MinSizeRel")
set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug;Release;RelWithDebInfo;MinSizeRel")

if(NOT CMAKE_BUILD_TYPE STREQUAL "Debug"
        AND NOT CMAKE_BUILD_TYPE STREQUAL "Release"
        AND NOT CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo"
        AND NOT CMAKE_BUILD_TYPE STREQUAL "MinSizeRel")
    message(FATAL_ERROR "Invalid value for CMAKE_BUILD_TYPE: '${CMAKE_BUILD_TYPE}' (required Debug, Release, RelWithDebInfo or MinSizeRel)")
endif()

project (sight)

enable_testing()

include(CheckVariableExists)
include(CMakeParseArguments)
include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

include(${CMAKE_CURRENT_SOURCE_DIR}/CMake/build/macros.cmake)

########################################################################################################################
# User options
########################################################################################################################

option(BUILD_SDK "Build Sight as a SDK" OFF)

# Tests build / run options
set(BUILD_TESTS ON CACHE BOOL "Configures projects associated tests (<project>Test projects)")
set(TESTS_XML_OUTPUT OFF CACHE BOOL "Tests will generate an xml output, suitable for CI integration")
mark_as_advanced(TESTS_XML_OUTPUT)
set(TESTS_FILTER "" CACHE STRING "Allows to only build/run tests whose path contains the filter string.")
mark_as_advanced(TESTS_FILTER)

set(SET_API_VERSION ON)

option(ENABLE_PCH "Use pre-compiled headers to speedup the compilation" ON)
option(VERBOSE_PCH "Display debug messages to help debugging PCH" OFF)
mark_as_advanced(ENABLE_PCH)
mark_as_advanced(VERBOSE_PCH)

# QML_IMPORT_PATH allows qtCreator to find the qml modules created in our bundles
set(QML_IMPORT_PATH "" CACHE STRING "Path of the Qml modules." FORCE)
mark_as_advanced(QML_IMPORT_PATH)

include(${CMAKE_CURRENT_SOURCE_DIR}/CMake/build/PrecompiledHeader.cmake)

if(MSVC)
    if(NOT DEFINED CMAKE_PCH_COMPILER_TARGETS)
        # this will be executed in just before makefile generation
        variable_watch(CMAKE_BACKWARDS_COMPATIBILITY pch_msvc_hook)
    endif()
endif()

if(CMAKE_CONFIGURATION_TYPES)
    set(CMAKE_CONFIGURATION_TYPES ${CMAKE_BUILD_TYPE} CACHE STRING "List of supported configurations." FORCE)
endif()

set(CREATE_SUBPROJECTS OFF CACHE BOOL "Create a project for each subproject")

set(PROJECTS_TO_BUILD CACHE STRING
        "List of projects that will be configured for build.
        Leave empty to configure all projects"
    )

# Use solution folders.
set_property(GLOBAL PROPERTY USE_FOLDERS ON)
set_property(GLOBAL PROPERTY AUTOGEN_TARGETS_FOLDER automoc)

set(SPYLOG_LEVEL "error" CACHE STRING "Log level")
set(SPYLOG_LEVEL_VALUES "fatal;error;warning;info;debug;trace" CACHE INTERNAL
    "List of possible values for log level")
set(SPYLOG_LEVEL_MAP_fatal 1)
set(SPYLOG_LEVEL_MAP_error 2)
set(SPYLOG_LEVEL_MAP_warning 3)
set(SPYLOG_LEVEL_MAP_info 4)
set(SPYLOG_LEVEL_MAP_debug 5)
set(SPYLOG_LEVEL_MAP_trace 6)
set_property(CACHE SPYLOG_LEVEL PROPERTY STRINGS ${SPYLOG_LEVEL_VALUES} )

########################################################################################################################
# Compile flags
########################################################################################################################
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# Workarround to avoid compile error about OpenGL on macos >= 10.14
if(APPLE)
    add_definitions(-DGL_SILENCE_DEPRECATION)
endif()

if(MSVC AND ENABLE_PCH)
    # Store debug information in the .obj file instead of a PDB.
    string(REGEX REPLACE "/Z[iI]" "/Z7" CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG}")
    string(REGEX REPLACE "/Z[iI]" "/Z7" CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO}")
    # Force set debug compile flags.
    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG}" CACHE STRING "Debug flags" FORCE)
    set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO}" CACHE STRING "RelWithDebInfo flags" FORCE)
endif()

set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -D_DEBUG")  #racy backward compatibility

# Set warning level and function export visibility on Unix
if(UNIX)
    if(APPLE)
        # actually the flag -fvisibility=hidden makes application crash on OSX
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Wconversion -Wno-unused-parameter -Wno-ignored-qualifiers -fvisibility-ms-compat")
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wconversion -Wno-unused-parameter -Wno-ignored-qualifiers -fvisibility-ms-compat")
        set(CMAKE_MACOSX_RPATH ON)
    else()
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Wconversion -Wno-unused-parameter -Wno-ignored-qualifiers -fvisibility=hidden")
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wconversion -Wno-unused-parameter -Wno-ignored-qualifiers -fvisibility=hidden")
    endif()
    # Color for ninja and Clang on Linux and OSX
    if (CMAKE_GENERATOR STREQUAL "Ninja")
        if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR CMAKE_CXX_COMPILER_ID STREQUAL "AppleClang")
            set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fcolor-diagnostics")
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fcolor-diagnostics")
        #Color output for gcc > 4.9
        elseif(CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER "4.8.99")
            set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fdiagnostics-color")
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fdiagnostics-color")
        endif()
    endif()
elseif(MSVC)
    # Force to always compile with W4
    if(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
        string(REGEX REPLACE "/W[0-4]" "/W4" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
    else()
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
    endif()
endif()

# Use external/system includes available from Visual Studio 15.6
# source https://gitlab.kitware.com/cmake/cmake/issues/17904
if (MSVC AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL 19.14)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /experimental:external /external:W0 ")
    set(CMAKE_INCLUDE_SYSTEM_FLAG_CXX "/external:I ")
endif()

# Building with all your cores on Visual Studio IDE
if(MSVC_IDE)
    set(CMAKE_C_FLAG "${CMAKE_C_FLAGS} /MP")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP")
endif()

if(${WIN32} AND ${MSVC})
    if(${MSVC_VERSION} GREATER 1914)
        add_definitions(" -D_ENABLE_EXTENDED_ALIGNED_STORAGE")
    endif()
endif()

########################################################################################################################
# External libraries management
########################################################################################################################

if(UNIX AND NOT APPLE)
    option(USE_SYSTEM_LIB "Use system libraries to compile sight" OFF)
endif()

set(FWCMAKE_RESOURCE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/CMake/)

if(USE_SYSTEM_LIB)
    # Append our 'FindPackages.cmake' to CMAKE_MODULE_PATH and include BinPkgs config file
    list(APPEND CMAKE_PREFIX_PATH ${FWCMAKE_RESOURCE_PATH}/modules)
    list(APPEND CMAKE_MODULE_PATH ${FWCMAKE_RESOURCE_PATH}/modules)
    list(APPEND CMAKE_FIND_ROOT_PATH ${FWCMAKE_RESOURCE_PATH}/modules)

    # Parsing of 'fw-*.cmake' scripts. This should go away at some point if we use CMake properly
    file(GLOB LIB_CONFIGS ${FWCMAKE_RESOURCE_PATH}/modules/fw-*.cmake )
    foreach(LIB_CONFIG ${LIB_CONFIGS})
        message(STATUS "include: ${LIB_CONFIG}")
        include("${LIB_CONFIG}")
    endforeach()
else()
    option(CONAN_BUILD_MISSING "Build missing conan package automatically (experimental)" OFF)
    mark_as_advanced(CONAN_BUILD_MISSING)
    include(${CMAKE_CURRENT_SOURCE_DIR}/CMake/conan/conan-deps.cmake)
    include(${CMAKE_CURRENT_SOURCE_DIR}/CMake/conan/conan.cmake)
endif()

########################################################################################################################
# Automatic detection of additional repositories using .sight files
########################################################################################################################
file(GLOB ADDITIONAL_REPOSITORIES_FILES ${CMAKE_CURRENT_SOURCE_DIR}/../*/.sight ${CMAKE_CURRENT_SOURCE_DIR}/../*/.fw4spl)

foreach(REPOSITORY ${ADDITIONAL_REPOSITORIES_FILES})
    file(READ ${REPOSITORY} REPO_RAW_NAME)
    string(STRIP ${REPO_RAW_NAME} REPO_RAW_NAME)
    string(TOUPPER ${REPO_RAW_NAME} REPO_NAME)

    if(NOT ${REPO_NAME} STREQUAL "SIGHT")

        get_filename_component(REPO_DIR ${REPOSITORY} DIRECTORY)
        get_filename_component(REPO_DIR ${REPO_DIR} ABSOLUTE)

        option(BUILD_${REPO_NAME} "Enable ${REPO_NAME} repository" ON)
        list(APPEND ADDITIONAL_REPOSITORIES_OPTION BUILD_${REPO_NAME})
        list(APPEND ADDITIONAL_REPOSITORIES_NAME ${REPO_RAW_NAME})
        list(APPEND ADDITIONAL_REPOSITORIES ${REPO_DIR})
    endif()
endforeach()

# parse additional CMakeLists
if(ADDITIONAL_REPOSITORIES)
    list(LENGTH ADDITIONAL_REPOSITORIES ADDITIONAL_REPOSITORIES_LEN)

    math(EXPR ADDITIONAL_REPOSITORIES_LEN ${ADDITIONAL_REPOSITORIES_LEN}-1)
    foreach(REPO_INDEX RANGE ${ADDITIONAL_REPOSITORIES_LEN})
        list(GET ADDITIONAL_REPOSITORIES ${REPO_INDEX} ADDITIONAL_REPO)
        list(GET ADDITIONAL_REPOSITORIES_OPTION ${REPO_INDEX} ADDITIONAL_REPO_OPTION)

        if(EXISTS ${ADDITIONAL_REPO}/CMakeLists.txt AND ${ADDITIONAL_REPO_OPTION})
            get_filename_component(DIR_NAME ${ADDITIONAL_REPO} NAME)
            add_subdirectory(${ADDITIONAL_REPO} ${DIR_NAME})
        endif()
    endforeach()
endif()

########################################################################################################################
# Default paths settings for libraries, bundles and resources
########################################################################################################################

if(WIN32)
    set(FW_INSTALL_PATH_SUFFIX )
    set(FWBUNDLE_LIB_PREFIX "${CMAKE_INSTALL_BINDIR}")
    set(FWBUNDLE_RC_PREFIX "${CMAKE_INSTALL_DATADIR}")
else()
    set(FW_INSTALL_PATH_SUFFIX "sight")
    set(FWBUNDLE_LIB_PREFIX "${CMAKE_INSTALL_LIBDIR}/${FW_INSTALL_PATH_SUFFIX}")
    set(FWBUNDLE_RC_PREFIX "${CMAKE_INSTALL_DATADIR}/${FW_INSTALL_PATH_SUFFIX}")
endif()

set(LIBRARY_OUTPUT_DIR lib/${FW_INSTALL_PATH_SUFFIX})

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/${LIBRARY_OUTPUT_DIR})
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/${LIBRARY_OUTPUT_DIR})
# Fixed path for multi-config builds (e.g. msvc)
foreach( OUTPUTCONFIG ${CMAKE_CONFIGURATION_TYPES} )
    string( TOUPPER ${OUTPUTCONFIG} OUTPUTCONFIG )
    set( CMAKE_RUNTIME_OUTPUT_DIRECTORY_${OUTPUTCONFIG} ${CMAKE_BINARY_DIR}/bin )
    set( CMAKE_LIBRARY_OUTPUT_DIRECTORY_${OUTPUTCONFIG} ${CMAKE_BINARY_DIR}/${LIBRARY_OUTPUT_DIR} )
    set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY_${OUTPUTCONFIG} ${CMAKE_BINARY_DIR}/${LIBRARY_OUTPUT_DIR} )
endforeach()

########################################################################################################################
# The Properties.cmake files are the entry point to scan for targets
# We really start the configure process here

=== fwlauncher/CMakeLists.txt ===
fwLoadProperties()

# TODO: We should manage to get rid of this definition
target_compile_definitions(${FWPROJECT_NAME} PRIVATE BUNDLE_RC_PREFIX="${FWBUNDLE_RC_PREFIX}")

find_package(Boost QUIET COMPONENTS program_options REQUIRED)
fwLink(${Boost_PROGRAM_OPTIONS_LIBRARY})

=== Apps/ARCalibration/CMakeLists.txt ===
fwLoadProperties()

generic_install()

=== Apps/OgreViewer/CMakeLists.txt ===
fwLoadProperties()

generic_install()

=== Apps/VRRender/CMakeLists.txt ===
fwLoadProperties()

generic_install()

=== Utilities/DicomAnonymizer/CMakeLists.txt ===
fwLoadProperties()

find_package(Boost QUIET COMPONENTS program_options REQUIRED)
fwLink(${Boost_LIBRARIES})

=== Utilities/VersionGenerator/CMakeLists.txt ===
fwLoadProperties()

find_package(Boost QUIET COMPONENTS program_options REQUIRED)

fwLink(
    ${Boost_PROGRAM_OPTIONS_LIBRARY}
)

=== Utilities/arucoMarker/CMakeLists.txt ===
fwLoadProperties()

find_package(Boost QUIET REQUIRED COMPONENTS program_options)
target_link_libraries(${FWPROJECT_NAME} PRIVATE Boost::program_options)

find_package(OpenCV QUIET REQUIRED COMPONENTS opencv_aruco)
target_link_libraries(${FWPROJECT_NAME} PRIVATE opencv_aruco)

find_package(FFMPEG QUIET REQUIRED)
target_link_libraries(${FWPROJECT_NAME} PRIVATE ${FFMPEG_LIBRARIES})

find_package(Qt5 QUIET COMPONENTS Test REQUIRED)
target_link_libraries(${FWPROJECT_NAME} PRIVATE Qt5::Test)

=== Utilities/calDataGenerator/CMakeLists.txt ===
fwLoadProperties()

find_package(Boost QUIET REQUIRED COMPONENTS program_options filesystem)
target_link_libraries(${FWPROJECT_NAME} PRIVATE Boost::program_options Boost::filesystem)

=== Utilities/charucoBoard/CMakeLists.txt ===
fwLoadProperties()

find_package(Boost QUIET REQUIRED COMPONENTS program_options)
target_link_libraries(${FWPROJECT_NAME} PRIVATE Boost::program_options)

=== Bundles/activity/2DVisualizationActivity/CMakeLists.txt ===
fwLoadProperties()

=== Bundles/calibration/trackingCalibration/CMakeLists.txt ===
fwLoadProperties()

find_package(OpenCV QUIET REQUIRED COMPONENTS opencv_calib3d)
find_package(Eigen3 QUIET REQUIRED)

target_link_libraries(${FWPROJECT_NAME} PRIVATE Eigen3::Eigen)
target_link_libraries(${FWPROJECT_NAME} PRIVATE opencv_calib3d)

=== debian/changelog ===
sight (19.0.0-5ubuntu4) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Mar 2020 08:56:28 +0100

sight (19.0.0-5ubuntu3) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:23:18 +0100

sight (19.0.0-5ubuntu2) focal; urgency=medium

  * No-change rebuild against libboost-regex1.71.0-icu65

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 19:05:08 +0000

sight (19.0.0-5ubuntu1) focal; urgency=medium

  * Fix spelling of boost regex component.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 06 Feb 2020 04:26:25 +0000

sight (19.0.0-5build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 02 Feb 2020 20:28:36 +0100

sight (19.0.0-5) unstable; urgency=medium

  * Team upload.
  * Drop explicit Depends: libvtk7.1-qt
    Closes: #948741

 -- Andreas Tille <tille@debian.org>  Sun, 12 Jan 2020 20:54:58 +0100

sight (19.0.0-4) unstable; urgency=medium

  * Team upload.
  * Drop explicit Build-Depends: libvtk7.1-qt
    Closes: #948368
  * Refer to common license file for BSD.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license GPL-3+, LGPL-3+.

 -- Andreas Tille <tille@debian.org>  Wed, 08 Jan 2020 11:36:37 +0100

sight (19.0.0-3) unstable; urgency=medium

  * d/control: update to gdcm3 for -dev, remove libminc-dev

 -- Flavien Bridault <fbridault@ircad.fr>  Tue, 17 Dec 2019 08:33:30 +0000

sight (19.0.0-2) unstable; urgency=medium

  [ Flavien Bridault ]
  * cme fix dpkg
  * Standards-Version: 4.4.1
  * d/p/fix-glm-missing-cmake.patch: add patch to be compatible with glm 0.9.9.6
  * d/control: add transitive dependency for ITK, update to gdcm 3

  [ Andreas Tille ]
  * debhelper-compat 12
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/control
  * Remove trailing whitespace in debian/rules
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entry 0.9.2-4.

 -- Flavien Bridault <fbridault@ircad.fr>  Wed, 04 Dec 2019 11:22:04 +0000

sight (19.0.0-1) unstable; urgency=medium

  * New upstream version
  * d/p/: updated patches
  * d/p/fix_version_getter.patch: add patch to not use git during configuring

 -- Flavien Bridault <fbridault@ircad.fr>  Mon, 02 Sep 2019 06:41:05 +0000

sight (18.1.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Move package repository to sight

  [ Flavien Bridault ]
  * d/control: rename fw4spl to sight
    Depends now on vtk7
  * d/copyright: update credits, urls and licence version
  * d/rules: rename fw4spl to sight
  * d/watch: update upstream url
  * d/p/: remove patches merged upstream
  * */Courier.ttf: remove file not allowed for redistribution


 -- Flavien Bridault <fbridault@ircad.fr>  Sun, 04 Aug 2019 16:59:10 +0000

fw4spl (17.2.0-2) unstable; urgency=medium

  [ Flavien Bridault ]
  * d/p/: add patch to build with dcmtk 3.6.4. Closes: #920457

  [ Andreas Tille ]
  * Standards-Version: 4.3.0

 -- Flavien Bridault <fbridault@ircad.fr>  Sun, 03 Feb 2019 09:34:17 +0000

fw4spl (17.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Thu, 01 Nov 2018 12:42:50 +0100

fw4spl (14.0.0-1) unstable; urgency=medium

  [ Flavien Bridault ]
  * New upstream version
  * d/p/: remove obsolete patches
    Add patch to enable experimental GLM extension. Closes: #888932
  * d/rules: update build options

  [ Andreas Tille ]
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Flavien Bridault <fbridault@ircad.fr>  Wed, 28 Feb 2018 13:24:10 +0000

fw4spl (11.0.4-2) unstable; urgency=medium

  * Team upload.
  * d/control: Move to standards version 4.0.1
  * d/p/: Add patch fix_functional_include, Closes: #871111

 -- Gert Wollny <gewo@debian.org>  Mon, 21 Aug 2017 12:26:44 +0000

fw4spl (11.0.4-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload
  * Fix Homepage
    Closes: #812904

  [ Flavien Bridault ]
  * New upstream version
    Support libpng16. Closes: #809935.
    Support vtk6. Closes: #820632.
    Support insighttoolkit4. Closes: #821957.
    Support gcc5 build. Closes: #793240.
  * Removed Corentin Desfarges as Uploader
  * Added myself as Uploader
  * d/watch: Moved to official fw4spl fork
  * debhelper 10 (which enables parallel build as default). Closes: #797475.
  * d/control: Updated dependencies
  * cme fix dpkg-control

 -- Flavien Bridault <fbridault@ircad.fr>  Wed, 23 Nov 2016 09:58:17 +0100

fw4spl (0.9.2-4) unstable; urgency=medium

  * Fix arm support.
  * Remove restriction to amd64.
  * Update dependencies in d/control.
  * Support new boost version. Closes: #797481.
  * Forbid parallel build. Closes: #797475.

 -- Corentin Desfarges <corentin.desfarges.dev@gmail.com>  Mon, 21 Dec 2015 14:11:13 +0200

fw4spl (0.9.2-3) unstable; urgency=medium

  * Restrict package to amd64. Closes: #790288.

 -- Corentin Desfarges <corentin.desfarges.dev@gmail.com>  Thu, 16 Jul 2015 11:16:32 +0200

fw4spl (0.9.2-2) unstable; urgency=medium

  * Replace files from libqt4-qt3support by symlinks. Closes: #781298.
  * Fix FindHdf5.cmake to find hdf5 on i386 arch. Closes: #781294.

 -- Corentin Desfarges <corentin.desfarges.dev@gmail.com>  Fri, 27 Mar 2015 17:03:34 +0100

fw4spl (0.9.2-1) unstable; urgency=low

  * Initial release (Closes: #779632)

 -- Corentin Desfarges <corentin.desfarges.dev@gmail.com>  Mon, 23 Mar 2015 11:19:00 +0100

=== debian/control ===
Source: sight
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Flavien Bridault <fbridault@ircad.fr>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               cmake,
               libboost-all-dev,
               zlib1g-dev,
               libexpat1-dev,
               libpng-dev,
               libtiff5-dev,
               libcppunit-dev,
               libhdf5-dev,
               libqt5opengl5-dev,
               libqt5x11extras5-dev,
               qttools5-dev,
               libvtk7-dev,
               libgdcm-dev,
               libinsighttoolkit4-dev,
               libann-dev,
               libvtkgdcm-dev,
               libvtk7-qt-dev,
               libcamp0.7-dev,
               libglm-dev,
               xvfb,
               xauth,
               dcmtk,
               dbus-x11,
               rdfind,
               symlinks
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/med-team/sight
Vcs-Git: https://salsa.debian.org/med-team/sight.git
Homepage: https://git.ircad.fr/Sight/sight

Package: libsight
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: fw4spl
Provides: fw4spl
Replaces: fw4spl
Description: Sight libraries
 The Surgical Image Guidance and
 Healthcare Toolkit aims to ease the creation of
 applications based on medical imaging. It includes
 various features such as 2D and 3D digital image
 processing, visualization, augmented reality and
 medical interaction simulation. It runs on many
 different environments (Windows, Linux, macOS), is
 written in C++, and features rapid interface design
 using XML files.
 .
 Sight was formerly known as FW4SPL. It was renamed
 in 2018, firstly to make its purpose clearer, and
 secondly as part of a major change in design and in
 the governance of the development team.
 .
 This package provides the shared libraries needed to
 run C++ programs that use Sight.

Package: libsight-dev
Architecture: any
Section: libdevel
Depends: libsight (= ${binary:Version}),
         libboost-all-dev,
         zlib1g-dev,
         libexpat1-dev,
         libpng-dev,
         libtiff5-dev,
         libcppunit-dev,
         libhdf5-dev,
         libqt5opengl5-dev,
         libqt5x11extras5-dev,
         qttools5-dev,
         libvtk7-dev,
         libgdcm-dev,
         libinsighttoolkit4-dev,
         libann-dev,
         libvtkgdcm-dev,
         libvtk7-qt-dev,
         libcamp0.7-dev,
         libglm-dev,
         ${shlibs:Depends},
         ${misc:Depends}
Description: Sight header files
 The Surgical Image Guidance and
 Healthcare Toolkit aims to ease the creation of
 applications based on medical imaging. It includes
 various features such as 2D and 3D digital image
 processing, visualization, augmented reality and
 medical interaction simulation. It runs on many
 different environments (Windows, Linux, macOS), is
 written in C++, and features rapid interface design
 using XML files.
 .
 Sight was formerly known as FW4SPL. It was renamed
 in 2018, firstly to make its purpose clearer, and
 secondly as part of a major change in design and in
 the governance of the development team.
 .
 This package contains the development files.

Package: vrrender
Architecture: any
Depends: libsight (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: DICOM viewer
 Medical image viewer featuring negatoscope, multi-planar
 reconstruction, and volume rendering.
 .
 Many image formats are handled such as DICOM, mhd,
 inr.gz, vtk, vti,... Segmentations meshes can also
 be imported from DICOM and vtk formats, and visualized
 in mixed rendering with images.
 .
 Tools are provided to measure distances of
 structures in the image and to place landmarks.
 .
 Last, VRRender can also connect directly to a PACS, and
 then request, download or upload DICOM files.

=== debian/rules ===
#!/usr/bin/make -f

#fix the lintian "hardening" message
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE -DUSE_SYSTEM_LIB=ON -DPROJECTS_TO_BUILD="VRRender" -DPROJECTS_TO_INSTALL="VRRender" -DCMAKE_INSTALL_RPATH="/usr/lib/$(DEB_HOST_MULTIARCH)/sight" -Wno-dev -DENABLE_PCH=OFF -DBUILD_TESTS=OFF -DBUILD_SDK=ON -DGIT_TAG=$(DEB_VERSION_UPSTREAM) -DCMAKE_BUILD_TYPE=Release

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "test disabled"
endif

override_dh_shlibdeps:
	dh_shlibdeps -v -l/usr/lib/$(DEB_HOST_MULTIARCH):/usr/lib/$(DEB_HOST_MULTIARCH)/sight:/usr/lib/$(DEB_HOST_MULTIARCH)/sight/Bundles:/usr/lib/$(DEB_HOST_MULTIARCH)/sight/gui_0-1/:/usr/lib/$(DEB_HOST_MULTIARCH)/sight/io_0-1/:/usr/lib/$(DEB_HOST_MULTIARCH)/sight/ctrlSelection_0-1/:/usr/lib/$(DEB_HOST_MULTIARCH)/sight/ioITK_0-1/

## sight 20.0.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.13)

# Use new policy for 'install_name' and RPATH on macOS (use `cmake --help-policy CMP0068` for details)
cmake_policy(SET CMP0068 NEW)
# Use new policy for `FindOpenGL` to prefer GLVND by default when available on linux (use `cmake --help-policy CMP0072` for details).
cmake_policy(SET CMP0072 NEW)
# Use new policy for 'Honor visibility properties for all target types.' (use `cmake --help-policy CMP0063` for details)
cmake_policy(SET CMP0063 NEW)
# Adds support for the new IN_LIST operator.
cmake_policy(SET CMP0057 NEW)
# Use new policy to use CMAKE_CXX_STANDARD in try_compile() macro
cmake_policy(SET CMP0067 NEW)

# On Windows, if the user doesn't specify a value,
# 'CMAKE_BUILD_TYPE' is automatically initialized to 'Debug' after 'project()'.
# So we need to check this variable at this point.
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "Choose the type of build, options are: Debug, Release")
set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug;Release")

if(NOT CMAKE_BUILD_TYPE STREQUAL "Debug" AND NOT CMAKE_BUILD_TYPE STREQUAL "Release")
    message(FATAL_ERROR "Invalid value for CMAKE_BUILD_TYPE: '${CMAKE_BUILD_TYPE}' (required Debug, Release)")
endif()

project (sight)

if(APPLE)
    message(WARNING "macOS is no more officially supported and complete support will be removed in sight 21.0")
endif()

enable_testing()

include(CheckVariableExists)
include(CMakeParseArguments)
include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/build/macros.cmake)
list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/build/linux/modules)

########################################################################################################################
# User options
########################################################################################################################

option(BUILD_SDK "Build Sight as a SDK" OFF)

# Tests build / run options
set(BUILD_TESTS ON CACHE BOOL "Configures projects associated tests (<project>Test projects)")
set(TESTS_XML_OUTPUT OFF CACHE BOOL "Tests will generate an xml output, suitable for CI integration")
mark_as_advanced(TESTS_XML_OUTPUT)
set(TESTS_FILTER "" CACHE STRING "Allows to only build/run tests whose path contains the filter string.")
mark_as_advanced(TESTS_FILTER)

set(SET_API_VERSION ON)

option(ENABLE_PCH "Use pre-compiled headers to speedup the compilation" ON)
option(VERBOSE_PCH "Display debug messages to help debugging PCH" OFF)
mark_as_advanced(ENABLE_PCH)
mark_as_advanced(VERBOSE_PCH)

# QML_IMPORT_PATH allows qtCreator to find the qml modules created in our modules
set(QML_IMPORT_PATH "" CACHE STRING "Path of the Qml modules." FORCE)
mark_as_advanced(QML_IMPORT_PATH)
set( ENABLE_QML_APPLICATION OFF CACHE BOOL "Temporary Variable to set Qml or not in applications to kept old services working" )

include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/build/PrecompiledHeader.cmake)

if(MSVC)
    if(NOT DEFINED CMAKE_PCH_COMPILER_TARGETS)
        # this will be executed in just before makefile generation
        variable_watch(CMAKE_BACKWARDS_COMPATIBILITY pch_msvc_hook)
    endif()
endif()

if(CMAKE_CONFIGURATION_TYPES)
    set(CMAKE_CONFIGURATION_TYPES ${CMAKE_BUILD_TYPE} CACHE STRING "List of supported configurations." FORCE)
endif()

set(CREATE_SUBPROJECTS OFF CACHE BOOL "Create a project for each subproject")

set(PROJECTS_TO_BUILD CACHE STRING
        "List of projects that will be configured for build.
        Leave empty to configure all projects"
    )

# Use solution folders.
set_property(GLOBAL PROPERTY USE_FOLDERS ON)
set_property(GLOBAL PROPERTY AUTOGEN_TARGETS_FOLDER automoc)

set(SPYLOG_LEVEL "error" CACHE STRING "Log level")
set(SPYLOG_LEVEL_VALUES "fatal;error;warning;info;debug;trace" CACHE INTERNAL
    "List of possible values for log level")
set(SPYLOG_LEVEL_MAP_fatal 1)
set(SPYLOG_LEVEL_MAP_error 2)
set(SPYLOG_LEVEL_MAP_warning 3)
set(SPYLOG_LEVEL_MAP_info 4)
set(SPYLOG_LEVEL_MAP_debug 5)
set(SPYLOG_LEVEL_MAP_trace 6)
set_property(CACHE SPYLOG_LEVEL PROPERTY STRINGS ${SPYLOG_LEVEL_VALUES} )

########################################################################################################################
# External libraries management
########################################################################################################################

if(UNIX AND NOT APPLE)
    option(USE_SYSTEM_LIB "Use system libraries to compile sight" OFF)
endif()

set(FWCMAKE_RESOURCE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/)

if(USE_SYSTEM_LIB)
    # Append our 'FindPackages.cmake' to CMAKE_MODULE_PATH and include BinPkgs config file
    list(APPEND CMAKE_PREFIX_PATH ${FWCMAKE_RESOURCE_PATH}/modules)
    list(APPEND CMAKE_MODULE_PATH ${FWCMAKE_RESOURCE_PATH}/modules)
    list(APPEND CMAKE_FIND_ROOT_PATH ${FWCMAKE_RESOURCE_PATH}/modules)

    # Parsing of 'fw-*.cmake' scripts. This should go away at some point if we use CMake properly
    file(GLOB LIB_CONFIGS ${FWCMAKE_RESOURCE_PATH}/modules/fw-*.cmake )
    foreach(LIB_CONFIG ${LIB_CONFIGS})
        message(STATUS "include: ${LIB_CONFIG}")
        include("${LIB_CONFIG}")
    endforeach()
else()
    option(CONAN_BUILD_MISSING "Build missing conan package automatically (experimental)" OFF)
    mark_as_advanced(CONAN_BUILD_MISSING)
    include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/conan/conan-deps.cmake)
    include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/conan/conan.cmake)
endif()

########################################################################################################################
# Automatic detection of additional repositories using .sight files
########################################################################################################################
file(GLOB ADDITIONAL_REPOSITORIES_FILES ${CMAKE_CURRENT_SOURCE_DIR}/../*/.sight ${CMAKE_CURRENT_SOURCE_DIR}/../*/.fw4spl)

foreach(REPOSITORY ${ADDITIONAL_REPOSITORIES_FILES})
    file(READ ${REPOSITORY} REPO_RAW_NAME)
    string(STRIP ${REPO_RAW_NAME} REPO_RAW_NAME)
    string(TOUPPER ${REPO_RAW_NAME} REPO_NAME)

    if(NOT ${REPO_NAME} STREQUAL "SIGHT")

        get_filename_component(REPO_DIR ${REPOSITORY} DIRECTORY)
        get_filename_component(REPO_DIR ${REPO_DIR} ABSOLUTE)

        option(BUILD_${REPO_NAME} "Enable ${REPO_NAME} repository" ON)
        list(APPEND ADDITIONAL_REPOSITORIES_OPTION BUILD_${REPO_NAME})
        list(APPEND ADDITIONAL_REPOSITORIES_NAME ${REPO_RAW_NAME})
        list(APPEND ADDITIONAL_REPOSITORIES ${REPO_DIR})
    endif()
endforeach()

# parse additional CMakeLists
if(ADDITIONAL_REPOSITORIES)
    list(LENGTH ADDITIONAL_REPOSITORIES ADDITIONAL_REPOSITORIES_LEN)

    math(EXPR ADDITIONAL_REPOSITORIES_LEN ${ADDITIONAL_REPOSITORIES_LEN}-1)
    foreach(REPO_INDEX RANGE ${ADDITIONAL_REPOSITORIES_LEN})
        list(GET ADDITIONAL_REPOSITORIES ${REPO_INDEX} ADDITIONAL_REPO)
        list(GET ADDITIONAL_REPOSITORIES_OPTION ${REPO_INDEX} ADDITIONAL_REPO_OPTION)

        if(EXISTS ${ADDITIONAL_REPO}/CMakeLists.txt AND ${ADDITIONAL_REPO_OPTION})
            get_filename_component(DIR_NAME ${ADDITIONAL_REPO} NAME)
            add_subdirectory(${ADDITIONAL_REPO} ${DIR_NAME})
        endif()
    endforeach()
endif()

########################################################################################################################
# Default paths settings for libraries, modules and resources
########################################################################################################################

if(WIN32)
    set(FW_INSTALL_PATH_SUFFIX )
    set(SIGHT_MODULE_LIB_PREFIX "${CMAKE_INSTALL_BINDIR}")
    set(SIGHT_MODULE_RC_PREFIX "${CMAKE_INSTALL_DATADIR}")
else()
    set(FW_INSTALL_PATH_SUFFIX "sight")
    set(SIGHT_MODULE_LIB_PREFIX "${CMAKE_INSTALL_LIBDIR}/${FW_INSTALL_PATH_SUFFIX}")
    set(SIGHT_MODULE_RC_PREFIX "${CMAKE_INSTALL_DATADIR}/${FW_INSTALL_PATH_SUFFIX}")
endif()

# For backward compatibility with Sight < 20.0
set(FWBUNDLE_LIB_PREFIX "${SIGHT_MODULE_LIB_PREFIX}")
set(FWBUNDLE_RC_PREFIX "${SIGHT_MODULE_RC_PREFIX}")

set(LIBRARY_OUTPUT_DIR lib/${FW_INSTALL_PATH_SUFFIX})

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/${LIBRARY_OUTPUT_DIR})
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/${LIBRARY_OUTPUT_DIR})
# Fixed path for multi-config builds (e.g. msvc)
foreach( OUTPUTCONFIG ${CMAKE_CONFIGURATION_TYPES} )
    string( TOUPPER ${OUTPUTCONFIG} OUTPUTCONFIG )
    set( CMAKE_RUNTIME_OUTPUT_DIRECTORY_${OUTPUTCONFIG} ${CMAKE_BINARY_DIR}/bin )
    set( CMAKE_LIBRARY_OUTPUT_DIRECTORY_${OUTPUTCONFIG} ${CMAKE_BINARY_DIR}/${LIBRARY_OUTPUT_DIR} )
    set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY_${OUTPUTCONFIG} ${CMAKE_BINARY_DIR}/${LIBRARY_OUTPUT_DIR} )
endforeach()

########################################################################################################################
# The Properties.cmake files are the entry point to scan for targets
# We really start the configure process here
########################################################################################################################
file(GLOB_RECURSE PROJECTS_PROPERTIES */Properties.cmake)

# Do the same in additional repositories
if(ADDITIONAL_REPOSITORIES)

    list(LENGTH ADDITIONAL_REPOSITORIES ADDITIONAL_REPOSITORIES_LEN)
    math(EXPR ADDITIONAL_REPOSITORIES_LEN ${ADDITIONAL_REPOSITORIES_LEN}-1)

    foreach(REPO_INDEX RANGE ${ADDITIONAL_REPOSITORIES_LEN})
        list(GET ADDITIONAL_REPOSITORIES ${REPO_INDEX} ADDITIONAL_REPO)
        list(GET ADDITIONAL_REPOSITORIES_OPTION ${REPO_INDEX} ADDITIONAL_REPO_OPTION)

        if(${ADDITIONAL_REPO_OPTION})
            list(GET ADDITIONAL_REPOSITORIES_NAME ${REPO_INDEX} ADDITIONAL_REPO_NAME)
            message(STATUS "Configuring additional repository " ${ADDITIONAL_REPO_NAME} " found in: " ${ADDITIONAL_REPO})
            file(GLOB_RECURSE ADDITIONAL_REPOSITORIES_PROPERTIES ${ADDITIONAL_REPO}/*/Properties.cmake)
            list(APPEND PROJECTS_PROPERTIES ${ADDITIONAL_REPOSITORIES_PROPERTIES})
            set(ADDITIONAL_REPOSITORIES_SOURCE_DIR "${ADDITIONAL_REPOSITORIES_SOURCE_DIR} ${ADDITIONAL_REPO}")
        endif()
    endforeach()
endif()

set(FWCONFIG_PACKAGE_LOCATION lib/cmake/sight)

unset(PROJECT_LIST)

# Parse all Properties.cmake files and populate a list of CMake variables for each projet
# to know its dependencies, requirements, version, pch usage, etc...
foreach(PROPERTIES_FILE ${PROJECTS_PROPERTIES})
    get_filename_component(PROJECT_DIR ${PROPERTIES_FILE} PATH)

    loadProperties("${PROPERTIES_FILE}")
    if(NOT NAME)
        message(FATAL_ERROR "${PROPERTIES_FILE}: Project NAME can not be empty.")
    endif()

    list(FIND DEPENDENCIES ${NAME} DEP_LOOP)
    if(DEP_LOOP GREATER -1)
        message(FATAL_ERROR "${PROPERTIES_FILE}: A project can not be its own dependency.")
    endif()

    list(FIND REQUIREMENTS ${NAME} REQ_LOOP)
    if(REQ_LOOP GREATER -1)
        message(FATAL_ERROR "${PROPERTIES_FILE}: A project can not be its own requirement.")
    endif()

    if(${NAME}_DIR)
        message(FATAL_ERROR "${PROPERTIES_FILE}: A project NAME must be unique in the workspace. ${NAME} already defined there : ${${NAME}_DIR}")
    endif()

    string( TOUPPER "${TYPE}" TYPE )

    set(${NAME}_DEPENDENCIES      "${DEPENDENCIES}")
    set(${NAME}_REQUIREMENTS      "${REQUIREMENTS}")
    set(${NAME}_DISABLE_PCH       "${DISABLE_PCH}")
    set(${NAME}_CONAN_DEPS        "${CONAN_DEPS}")
    set(${NAME}_WARNINGS_AS_ERRORS "${WARNINGS_AS_ERRORS}")
    set(${NAME}_GENERATE_OBJECT_LIB "${GENERATE_OBJECT_LIB}")

    # Get the pch target, test the existence of type variable to exclude unbuilt projects
    if(ENABLE_PCH AND TYPE AND NOT ${NAME}_DISABLE_PCH)
        set(${NAME}_PROJECT_DIR "${PROJECT_DIR}")

        getPchTarget(${NAME} ${PROJECT_DIR} ${TYPE} ${USE_PCH_FROM_TARGET})

=== libs/visu/fwRenderVTK/CMakeLists.txt ===
fwLoadProperties()

find_package(VTK QUIET COMPONENTS
    vtkFiltersGeometry
    vtkFiltersSources
    vtkImagingCore
    vtkImagingGeneral
    vtkInteractionStyle
    vtkInteractionWidgets
    vtkRenderingAnnotation
    vtkRenderingFreeType
    vtkRenderingOpenGL2
    # Not used in this module, but we include it here to avoid conflicts in PCH with overriding definitions
    vtkRenderingVolumeOpenGL2
    REQUIRED)

#add vtk definitions instead of include(${VTK_USE_FILE})
target_compile_definitions(${FWPROJECT_NAME} PUBLIC ${VTK_DEFINITIONS})

fwInclude(
    ${VTK_INCLUDE_DIRS}
)
fwForwardLink(
    vtkFiltersGeometry
    vtkFiltersSources
    vtkImagingCore
    vtkImagingGeneral
    vtkInteractionStyle
    vtkInteractionWidgets
    vtkRenderingAnnotation
    vtkRenderingFreeType
    vtkRenderingOpenGL2
    vtkRenderingVolumeOpenGL2
)

=== modules/video/videoVLC/CMakeLists.txt ===
fwLoadProperties()

find_path(VLC_INCLUDE_DIR vlc/vlc.h PATHS
    "${CONAN_VLC_ROOT}/include"
    "$ENV{ProgramW6432}/VideoLAN/VLC/sdk/include"
    /usr/local/include
    /usr/include
)

find_library(VLC_LIBRARY NAMES libvlc vlc PATHS
    "${CONAN_VLC_ROOT}/lib"
    "$ENV{ProgramW6432}/VideoLAN/VLC/sdk/lib"
    /usr/local/lib
    /usr/lib
    /usr/lib/x86_64-linux-gnu
)

# Find the vlc plugin directory, we check two different names :
#   - on windows, it contains directories (like video_output)
#   - on macOS, it contains only libraries (like libzip_plugin.dylib)
find_path(VLC_PLUGINS_DIR NAMES plugins PATHS
    "${CONAN_VLC_ROOT}"
    "${CONAN_VLC_ROOT}/lib/vlc"
    "$ENV{ProgramW6432}/VideoLAN/VLC"
    /usr/local/lib/vlc
    /usr/lib/vlc
    /usr/lib/x86_64-linux-gnu/vlc
)

if(VLC_PLUGINS_DIR)
    set(VLC_PLUGINS_DIR "${VLC_PLUGINS_DIR}/plugins")
    install(DIRECTORY ${VLC_PLUGINS_DIR} DESTINATION "vlc")
    add_definitions("-DVLC_PLUGINS_DIR=\"${VLC_PLUGINS_DIR}\"")
endif()

# Manual installation of vlc to avoid "fatal error LNK1328: missing string table" in fixup_bundle
if(WIN32)
    install(
        FILES "${CONAN_VLC_ROOT}/bin/libvlc.dll"
              "${CONAN_VLC_ROOT}/bin/libvlccore.dll"
        DESTINATION "bin"
    )
endif()

fwLink( ${VLC_LIBRARY} )
fwInclude( ${VLC_INCLUDE_DIR} )

=== debian/changelog ===
sight (20.0.0-2) unstable; urgency=medium

  * d/p: add new patch to fix i386 build
    Closes: #964401

 -- Flavien Bridault <fbridault@ircad.fr>  Fri, 24 Jul 2020 13:37:53 +0000

sight (20.0.0-1) unstable; urgency=medium

  * New upstream version 
  * d/p/: remove patches merged upstream
    Add new patch to remove the shell extension from /usr/bin/vrrender
  * d/control: replace libcamp0.7-dev with libcamp

 -- Flavien Bridault <fbridault@ircad.fr>  Thu, 25 Jun 2020 20:41:52 +0000

sight (19.0.0-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add patch from Giovanni Mascellani for FTBFS with Boost 1.71.
    (Closes: #954711)

 -- Adrian Bunk <bunk@debian.org>  Mon, 15 Jun 2020 18:20:23 +0300

sight (19.0.0-6) unstable; urgency=medium

  [ Etienne Mollier ]
  * Team upload.
  * Hardcoded $me and $rootdir into the vrrender launcher for usrmerge support
    Closes: #958089
  * Changed manpages location to follow binaries embedded in libsight
  * Updated a copyright entry from BSD to LGPL-3+ per current header
  * Removed now unneeded ld flags per lintian warning

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Etienne Mollier <etienne.mollier@mailoo.org>  Sat, 25 Apr 2020 14:47:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sight
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Flavien Bridault <fbridault@ircad.fr>
 Section: science
 Priority: optional
@@ -22,7 +21,7 @@
                libann-dev,
                libvtkgdcm-dev,
                libvtk7-qt-dev,
-               libcamp0.7-dev,
+               libcamp-dev,
                libglm-dev,
                xvfb,
                xauth,
@@ -30,10 +29,11 @@
                dbus-x11,
                rdfind,
                symlinks
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/sight
 Vcs-Git: https://salsa.debian.org/med-team/sight.git
 Homepage: https://git.ircad.fr/Sight/sight
+Rules-Requires-Root: no
 
 Package: libsight
 Architecture: any
@@ -82,7 +82,7 @@
          libann-dev,
          libvtkgdcm-dev,
          libvtk7-qt-dev,
-         libcamp0.7-dev,
+         libcamp-dev,
          libglm-dev,
          ${shlibs:Depends},
          ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
 CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
-LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 %:
 	dh $@
@@ -26,3 +26,9 @@
 
 override_dh_shlibdeps:
 	dh_shlibdeps -v -l/usr/lib/$(DEB_HOST_MULTIARCH):/usr/lib/$(DEB_HOST_MULTIARCH)/sight:/usr/lib/$(DEB_HOST_MULTIARCH)/sight/Bundles:/usr/lib/$(DEB_HOST_MULTIARCH)/sight/gui_0-1/:/usr/lib/$(DEB_HOST_MULTIARCH)/sight/io_0-1/:/usr/lib/$(DEB_HOST_MULTIARCH)/sight/ctrlSelection_0-1/:/usr/lib/$(DEB_HOST_MULTIARCH)/sight/ioITK_0-1/
+
+override_dh_install:
+	dh_install
+	sed -i -e 's@^me=.*$$@me=/usr/bin@' \
+		-e 's@^rootdir=.*$$@rootdir=/usr@' \
+		debian/vrrender/usr/bin/vrrender
